Bug 909133 - Semantic validation: FA: guarded parameters for fence devices and fence instances
Summary: Semantic validation: FA: guarded parameters for fence devices and fence insta...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: luci
Version: 6.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: Ryan McCabe
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 906016
Blocks: 906324 907470
TreeView+ depends on / blocked
 
Reported: 2013-02-08 11:41 UTC by Jan Pokorný [poki]
Modified: 2015-10-21 22:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 906016
Environment:
Last Closed: 2015-10-21 22:44:59 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jan Pokorný [poki] 2013-02-08 11:41:01 UTC
+++ This bug was initially created as a clone of Bug #906016 +++

Currently, luci is too liberate in terms of what configuration can be
achieved using it.

This bugs is to closely examine the semantically correct parameters
that can be used in conjuction with particular fence agents either
in the form of fence devices defined or respective per-node instances.

Note that partially, this is already captured in cluster.rng
(or obtainable from the same source as fence-agent related parts of
cluster.rng are generated), however:

1/ I am not sure about clear distinction of categories arising
   from a 2D matrix with axis can-be-at-device and can-be-at-instance

2/ with pure cluster.rng, we cannot prevent from fence_brocade instance
   having a "delay" attribute (see [bug 815666 comment 15]).


When the exact situation is mapped, the result of this RFE will be
less space for semantically incorrect configuration as the correct
attributes and either fence devices and instances will be enforced.

Comment 1 Jan Pokorný [poki] 2013-02-08 11:42:07 UTC
re: 2/ fence_brocade case was apparently a mere example

Comment 3 RHEL Product and Program Management 2013-02-12 06:47:29 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.


Note You need to log in before you can comment on or make changes to this bug.